Loading...
Searching...
No Matches
Opm::EclEpsTwoPhaseLawParams< EffLawT > Class Template Reference

A default implementation of the parameters for the material law adapter class which implements ECL endpoint scaling. More...

`#include <EclEpsTwoPhaseLawParams.hpp>`

Inheritance diagram for Opm::EclEpsTwoPhaseLawParams< EffLawT >:

## Public Types

using | Traits = typename EffLawParams::Traits
using | ScalingPoints = EclEpsScalingPoints<Scalar>

## Public Member Functions

void | finalize ()
| Calculate all dependent quantities once the independent quantities of the parameter object have been set.
void | setConfig (const EclEpsConfig &value)
| Set the endpoint scaling configuration object.
const EclEpsConfig & | config () const
| Returns the endpoint scaling configuration object.
void | setUnscaledPoints (std::shared_ptr< ScalingPoints > value)
| Set the scaling points which are seen by the nested material law.
const ScalingPoints & | unscaledPoints () const
| Returns the scaling points which are seen by the nested material law.
void | setScaledPoints (const ScalingPoints &value)
| Set the scaling points which are seen by the physical model.
const ScalingPoints & | scaledPoints () const
| Returns the scaling points which are seen by the physical model.
ScalingPoints & | scaledPoints ()
| Returns the scaling points which are seen by the physical model.
Scalar | SnTrapped (bool maximumTrapping) const
Scalar | SnStranded (Scalar sg, Scalar krg) const
Scalar | SwTrapped () const
void | setEffectiveLawParams (std::shared_ptr< EffLawParams > value)
| Sets the parameter object for the effective/nested material law.
const EffLawParams & | effectiveLawParams () const
| Returns the parameter object for the effective/nested material law.
template<class Serializer>
void | serializeOp (Serializer &)
Public Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE void | finalize ()
| Mark the object as finalized.

## Additional Inherited Members

Protected Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE | EnsureFinalized ()
| The default constructor.
OPM_HOST_DEVICE void | check () const

## Detailed Description

template<class EffLawT>
class Opm::EclEpsTwoPhaseLawParams< EffLawT >

A default implementation of the parameters for the material law adapter class which implements ECL endpoint scaling.

The documentation for this class was generated from the following file:

- opm/material/fluidmatrixinteractions/EclEpsTwoPhaseLawParams.hpp